package com.yidianling.dynamic.api

import android.app.Activity
import android.content.Context
import android.content.Intent
import com.alibaba.android.arouter.facade.template.IProvider

interface IDynamicService  : IProvider {

    fun membersIntent(activity: Activity, userId: String): Intent

    fun replyInfoIntent(activity: Activity, replyId: String, aid: String): Intent

    fun trendsDetailIntent(activity: Activity, trendId: Int): Intent

    fun trendsDetailIntent(activity: Activity, trendId: Int, isScrollToZan: Boolean): Intent

    fun trendsDetailIntent(activity: Activity, trendId: Int, isScrollToZan: Boolean, lastId: Int): Intent

    fun publishTrendIntent(activity: Activity, url: String, cover: String, title: String): Intent

    fun publishFmToTrend(activity: Activity, url: String, cover: String, title: String): Intent

    fun topicDetailIntent(context: Context, isSplash: Boolean, topicId: String): Intent

    fun publishArticleToTrend(activity: Activity, url: String, cover: String, title: String): Intent

}